Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.meta
Class RemoteDeviceIdentity

    java.lang.Object
      org.teleal.cling.model.meta.DeviceIdentity
          org.teleal.cling.model.meta.RemoteDeviceIdentity

    public class RemoteDeviceIdentity

extends DeviceIdentity

Constructor Summary
`RemoteDeviceIdentity(UDN udn, Integer maxAgeSeconds, URL descriptorURL, byte[] interfaceMacAddress, InetAddress localBindAddress, int localStreamPort)`
`RemoteDeviceIdentity(UDN udn, Integer maxAgeSeconds, URL descriptorURL, byte[] interfaceMacAddress, URL localBaseURL)`
`RemoteDeviceIdentity(UDN udn, RemoteDeviceIdentity template)`

Method Summary
`URL` | `getDescriptorURL()`
`byte[]` | `getInterfaceMacAddress()`
`URL` | `getLocalBaseURL()`
`byte[]` | `getWakeOnLANBytes()`

Methods inherited from class org.teleal.cling.model.meta.DeviceIdentity
`equals, getMaxAgeSeconds, getUdn, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteDeviceIdentity

    public RemoteDeviceIdentity(UDN udn,
                                RemoteDeviceIdentity template)

### RemoteDeviceIdentity

    public RemoteDeviceIdentity(UDN udn,
                                Integer maxAgeSeconds,
                                URL descriptorURL,
                                byte[] interfaceMacAddress,
                                URL localBaseURL)

### RemoteDeviceIdentity

    public RemoteDeviceIdentity(UDN udn,
                                Integer maxAgeSeconds,
                                URL descriptorURL,
                                byte[] interfaceMacAddress,
                                InetAddress localBindAddress,
                                int localStreamPort)

Method Detail

### getDescriptorURL

    public URL getDescriptorURL()

### getInterfaceMacAddress

    public byte[] getInterfaceMacAddress()

### getLocalBaseURL

    public URL getLocalBaseURL()

### getWakeOnLANBytes

    public byte[] getWakeOnLANBytes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.